Package: org.codehaus.groovy.grails.web.converters

## [Groovy] Interface IncludeExcludeConverter<W>

- org.codehaus.groovy.grails.web.converters.ConfigurableConverter

- All Superinterfaces:
    Converter, ConfigurableConverter

  A converter capable of including/excluding properties on the target object

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Converter` | `DEFAULT_REQUEST_ENCODING`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setExcludes(java.util.List<java.lang.String> excludes)`
    `void` | `setIncludes(java.util.List<java.lang.String> includes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ConfigurableConverter` | `getExcludes, getIncludes, setContentType, setEncoding, setExcludes, setIncludes`
    `interface Converter` | `build, convertAnother, getWriter, lookupObjectMarshaller, render, render`

- - ### Method Detail

    - #### void setExcludes(java.util.List<java.lang.String> excludes)

    - #### void setIncludes(java.util.List<java.lang.String> includes)